<template>
  <section>
    <h1>Manage Students</h1>
    <h2>Promos</h2>
    <list-promo-vue @select="onSelectPromo"/>
    <section v-if="selectedPromo">
      <h2>Students</h2>
      <list-student-vue/>
      <v-btn color="success" @click="updatePromo()">Update</v-btn>
    </section>
  </section>
</template>

<script>
import ListPromoVue from "../components/ListPromo.vue";
import ListStudentVue from "../components/ListStudent.vue";
export default {
  components: {
    ListPromoVue,
    ListStudentVue
  },
  data() {
    return {
      selectedPromo: null
    };
  },
  methods: {
    onSelectPromo(promo) {
      this.selectedPromo = promo;
    },
    updatePromo() {
      this.$store.dispatch("updatePromo", this.selectedPromo);
    }
  }
};
</script>

<style>
</style>
